require "payboard/version"

module Payboard
  def self.log_event(apiString, event_name, user_id, first_name=nil, last_name=nil, email_address=nil, customer_id=0, customer_name="General")
      begin 
          uri = URI.parse("http://app.payboard.com")
          payload = [{ "customerId" => customer_id, "customerName" => customer_name, "customerUserFirstName" => first_name, "customerUserLastName" => last_name, "customerUserEmail" => email_address, "customerUserId" => user_id, "eventName" => event_name }].to_json
          req = Net::HTTP::Post.new("/api/organizations/"+apiString+"/customeruserevents", initheader = {'Content-Type' =>'application/json'})
          req.body = payload
          response = Net::HTTP.new(uri.host, uri.port).start {|http| http.request(req) }
      rescue
        puts "no data logged"
      end
  end
end
